Bug 735232 - Message portlet should not be displayed on default dashboard in JON
Summary: Message portlet should not be displayed on default dashboard in JON
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon30-branding
TreeView+ depends on / blocked
 
Reported: 2011-09-01 20:54 UTC by Ian Springer
Modified: 2013-08-06 00:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:21:33 UTC


Attachments (Terms of Use)

Description Ian Springer 2011-09-01 20:54:38 UTC
This portlet displays an RHQ welcome message and so should not be included on the default dashboard in JON.

Comment 1 Ian Springer 2011-09-01 21:00:35 UTC
Fixed by [master 85ccbd1].

Here's the trick I used to determine if the product is RHQ or JON:

ProductInfo productInfo = CoreGUI.get().getProductInfo();
boolean isRHQ = (productInfo != null) && "RHQ".equals(productInfo.getShortName());

Comment 2 Mike Foley 2012-02-07 19:21:33 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.